2018-07-21, 週六

學員專區

請先登入學員帳號,可使用學員專區所有功能。訂閱課程方案(加入學員),請點選網頁右上方“課程費用”連結,瀏覽訂閱方案。

Joomla,我該使用哪一個版本?

JoomlaEC @ 11 六月 2013

就像是我們經常使用的Microsoft Windows一樣,很多人習慣了Windows XP的使用介面,到了Windows 8 看到那些方塊磚就有點無法適應了。

Joomla也同樣也有使用版本的問題

版本的升級也可以說是因應市場的變革,也是一種進步。目前智慧型手機、平板等行動裝置已經越來越普及了,網站的設計也必須要因應這個趨勢。因為越來越多人會希望在手機或平板電腦上可以“正常”的瀏覽及管理網站。

使用過智慧型手機的朋友大概都知道,要在小螢幕上顯示那麼多的訊息,真的是有點困難...因為字太小了。所以就需要有適合行動裝置的網頁版面設計。


那,我到底該使用哪一個版本呢?


如果你是Joomla的新手,只需要Joomla基本功能或是需要的套件都有支援Joomla 3.x,就可以從Joomla 3.x開始。

目前Joomla 3.1為短期支援的版本,依開發時程,長期支援且成熟穩定版本需要等到3.5

Joomla 2.5為目前最建議使用的穩定版本,支援的擴充套件也最多。如果你需要穩定且有較多擴充套件,可以使用此版本。

如果希望前台網站也支援行動裝置(智慧型手機、平板..等設備),可以選擇支援行動裝置的佈景(Responsive Joomla! template)


一般較多人使用的版本,遇到問題時,獲得解決的機會也比較高。

 

我現在使用JOOMLA2.5,以後如果要升級到JOOMLA3,要怎麼辦?